Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class SchedulerContext

    java.lang.Object
      org.quartz.utils.DirtyFlagMap<String,Object>
          org.quartz.utils.StringKeyDirtyFlagMap
              org.quartz.SchedulerContext

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>

    public class SchedulerContext

extends StringKeyDirtyFlagMap
implements Serializable

Holds context/environment data that can be made available to Jobs as they are executed. This feature is much like the ServletContext feature when working with J2EE servlets.

Future versions of Quartz may make distinctions on how it propagates data in `SchedulerContext` between instances of proxies to a single scheduler instance - i.e. if Quartz is being used via RMI.

Author:
  James House
See Also:
  `Scheduler.getContext()`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`SchedulerContext()` Create an empty `SchedulerContext`.
`SchedulerContext(Map<?,?> map)` Create a `SchedulerContext` with the given data.

Method Summary

Methods inherited from class org.quartz.utils.StringKeyDirtyFlagMap
`containsTransientData, equals, getAllowsTransientData, getBoolean, getChar, getDouble, getFloat, getInt, getKeys, getLong, getString, hashCode, put, put, put, put, put, put, put, put, removeTransientData, setAllowsTransientData`

Methods inherited from class org.quartz.utils.DirtyFlagMap
`clear, clearDirtyFlag, clone, containsKey, containsValue, entrySet, get, getWrappedMap, isDirty, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerContext

    public SchedulerContext()

  Create an empty `SchedulerContext`.

### SchedulerContext

    public SchedulerContext(Map<?,?> map)

  Create a `SchedulerContext` with the given data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.